RangeBasedQueryRewriterResult
Keywords: uk.ac.ic.doc.rodex.qproc.RangeBasedQueryRewriterResult class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.rodex.qproc
Class RangeBasedQueryRewriterResult

    java.lang.Object
      uk.ac.ic.doc.rodex.qproc.QueryRewriterResult
          uk.ac.ic.doc.rodex.qproc.RangeBasedQueryRewriterResult

    public class RangeBasedQueryRewriterResult

extends QueryRewriterResult

RangeBasedQueryRewriterResult.java

Author:
  Duc M Le dmle@doc.ic.ac.uk

Field Summary

Fields inherited from class uk.ac.ic.doc.rodex.qproc.QueryRewriterResult
`_containmentQuery, _outputQuery, _remainderQuery, _resultObjs, _resultQuery, _resultStr, rangeDefs, views`

Constructor Summary
`RangeBasedQueryRewriterResult()` Creates a new instance of RangeBasedQueryRewriterResult

Method Summary
`void` | `addEntry(ASG view, ASG result, AutoMedType[] range)` Add a view entry (i.e.
`void` | `addRangeDef(java.lang.String field, AutoMedType[][] ranges)`
`java.util.Map` | `getEntries()`
`ASG` | `getEntry(ASG view)`
`AutoMedType[]` | `getRange(ASG view)`
`AutoMedType[][]` | `getRangeDef(java.lang.String field)`

Methods inherited from class uk.ac.ic.doc.rodex.qproc.QueryRewriterResult
`addViewSet, createOutputQuery, createResultQuery, getContainmentQuery, getRemainderQuery, getResultObjects, getResultString, getViewSet, getViewSets, length, setContainmentQuery, setRemainderQuery, setResultObjects, setResultString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RangeBasedQueryRewriterResult

    public RangeBasedQueryRewriterResult()

  Creates a new instance of RangeBasedQueryRewriterResult

Method Detail

### addEntry

    public void addEntry(ASG view,
                         ASG result,
                         AutoMedType[] range)

  Description copied from class: `QueryRewriterResult`
  Add a view entry (i.e. view & result)

  Overrides:
    `addEntry` in class `QueryRewriterResult`
  Parameters:
    `view` - an `ASG` representation of the view
    `result` - an `ASG`-list of the results matching the view

### getEntry

    public ASG getEntry(ASG view)

  Overrides:
    `getEntry` in class `QueryRewriterResult`

### getEntries

    public java.util.Map getEntries()

  Overrides:
    `getEntries` in class `QueryRewriterResult`

### getRange

    public AutoMedType[] getRange(ASG view)

  Overrides:
    `getRange` in class `QueryRewriterResult`

### addRangeDef

    public void addRangeDef(java.lang.String field,
                            AutoMedType[][] ranges)

  Overrides:
    `addRangeDef` in class `QueryRewriterResult`

### getRangeDef

    public AutoMedType[][] getRangeDef(java.lang.String field)

  Overrides:
    `getRangeDef` in class `QueryRewriterResult`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD